%global pypi_name gevent-websocket

Name:           python-%{pypi_name}
Version:        0.3.6
Release:        5%{?dist}
Summary:        Websocket handler for the gevent pywsgi server

License:        BSD
URL:            https://bitbucket.org/Jeffrey/gevent-websocket
Source0:        http://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-gevent


%description
gevent-websocket is a websocket library for the gevent networking library
written written and maintained by Jeffrey Gelens. It is licensed under the 
BSD license.
%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/geventwebsocket
%{python_sitelib}/gevent_websocket-%{version}-py?.?.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Matthias Runge <mrunge@redhat.com> - 0.3.6-2
- add BR python-setuptools

* Wed Apr 17 2013 Matthias Runge <mrunge@redhat.com> - 0.3.6-1
- Initial package.
